Bug 51517 - modprobe errors occur in sndconfig with Aztech sound card
modprobe errors occur in sndconfig with Aztech sound card
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-11 11:14 EDT by Michael Dipperstein
Modified: 2014-03-16 22:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-21 17:17:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Dipperstein 2001-08-11 11:14:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
When I run sndconfig on my NEC Ready 9732 with Aztech sound card, the plug
and play card is correctly recognized, and I am allowed to select the port,
interrupt, and DMA channels used by the card.  After I make the correct
selections (or even incorrect selections), modprobe is run and I get the
following error message that is shown below.  After that I can only try
again with new settings.  The only way out of sndconfig is to kill the

        The following error occurred running the modprobe program:

        init_module: No such device
        /lib/modules/2.4.2-2/kernel/drivers/sound/ad1848.o: insmod
        /lib/modules/2.4.2-2/kernel/drivers/sound/ad1848.o failed
        /lib/modules/2.4.2-2/kernel/drivers/sound/ad1848.o: insmod
        sound-slot-0 failed

How reproducible:

Steps to Reproduce:
1. Install Linux 7.1 on NEC READY 9732 with stock sound card
2. Open up shell with root permissions
3. Run /sbin/sndconfig
4. enter OK at every prompt

Actual Results:  I was shown the error information listed above and taken
back to the display prompting for port, interrupt, and DMA channel usage. 
No selections produce different results, and the only way out of sndconfig
is to kill the process.

Expected Results:  sndconfig properly configures the system for my sound

Additional info:

The version of sndconfig is: sndconfig-0.64.8-1.src.rpm
Comment 1 Michael Dipperstein 2001-11-11 21:47:44 EST
It's been quite some time since I've submitted this bug report, and I have yet 
to receive a comment.

I'm now up to kernel 2.4.9-12 and I still get the same problem.

At the very least I would like to know what the errors mean and be directed to 
some documentation that could help me track down the cause.

I read the sound-how-to, but it was of little help.
Comment 2 Bill Nottingham 2005-01-21 17:17:23 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.